com.zipcodewilmington.streams.tools

## Class StringUtils

- java.lang.Object
- - com.zipcodewilmington.streams.tools.StringUtils

    public class StringUtils
    extends java.lang.Object

Created by leon on 5/24/17.

### Constructor Summary

Constructors
Constructor and Description
`StringUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `capitalizeFirstChar(java.lang.String string)`
`static java.lang.String` `padLeft(java.lang.Object s, int n)`
`static java.lang.String` `padRight(java.lang.String s, int n)`
`static java.lang.String` `repeatString(int numberOfRepeats, java.lang.String val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringUtils

    public StringUtils()

### Method Detail

#### capitalizeFirstChar

    public static java.lang.String capitalizeFirstChar(java.lang.String string)

Parameters:
  `string` - - String to capitalize
Returns:
  - input String with first character capitalized

#### repeatString

    public static java.lang.String repeatString(int numberOfRepeats,
                                                java.lang.String val)

Parameters:
  `numberOfRepeats` - - number of times to repeat this string
  `val` - - value of string to repeat
Returns:
  - `people` concatenated with itself `numberOfRepeats` times

#### padLeft

    public static java.lang.String padLeft(java.lang.Object s,
                                           int n)

Parameters:
  `s` - the String to pad
  `n` - the padding amount
Returns:
  the padded-left String

#### padRight

    public static java.lang.String padRight(java.lang.String s,
                                            int n)

Parameters:
  `s` - the String to pad
  `n` - the padding amount
Returns:
  the padded-left String